<?php

namespace app\models;

use yii\base\Model;
use yii\data\ActiveDataProvider;
use app\models\TKandidat;

/**
 * TKandidatSearch represents the model behind the search form of `app\models\TKandidat`.
 */
class TKandidatSearch extends TKandidat
{
    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['id_kandidat', 'id_voting'], 'integer'],
            [['nama_kandidat'], 'safe'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {
        $query = TKandidat::find();

        // add conditions that should always apply here

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
        ]);

        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        // grid filtering conditions
        $query->andFilterWhere([
            'id_kandidat' => $this->id_kandidat,
            'id_voting' => $this->id_voting,
        ]);

        $query->andFilterWhere(['like', 'nama_kandidat', $this->nama_kandidat]);

        return $dataProvider;
    }

    public function searchData($model,$params)
    {
        $query = $model;

        // add conditions that should always apply here

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
        ]);

        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        // grid filtering conditions
        $query->andFilterWhere([
            'id_kandidat' => $this->id_kandidat,
            'id_voting' => $this->id_voting,
        ]);

        $query->andFilterWhere(['like', 'nama_kandidat', $this->nama_kandidat]);

        return $dataProvider;
    }
}
